<?php
// ********************************************************************************************
// Title          udde Picture Frame Information System (uddePF)
// Description    Picture Frame Information System for Joomla 1.5 and Joomla 1.6
// Author         © 2011 Stephan Slabihoud
// License        This is free software and you may redistribute it under the GPL.
//                uddePF comes with absolutely no warranty.
//                Use at your own risk. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
//                Other licenses can be found in LICENSES folder.
//                Redistributing this file is only allowed when keeping the header unchanged.
// ********************************************************************************************

DEFINE ('_UDDEPFADM_TRANSLATORS_CREDITS', 'Deutsche Sprachdatei von <a href="http://slabihoud.de/software/" target="_new">uddePF HQ (Stephan Slabihoud)</a>');	// Enter your credits line here, e.g. 'Translation by <a href="http://domain.com" target="_new">John Doe</a>'
DEFINE ('_UDDEPFADM_THIS_LOCALE', "de_DE.UTF8,de_DE,de,ge,deu");

DEFINE ('_UDDEPFADM_DEBUG_HEAD', "Debug");
DEFINE ('_UDDEPFADM_DEBUG_EXP', "Aktiviert die Debug-Ausgabe, d.h. das Update-Skript gibt, wird es im Browser aufgerufen, zusätzliche Ausgaben aus.");

DEFINE ('_UDDEPFADM_SELECT_DEFAULT', "Standard");
DEFINE ('_UDDEPFADM_SELECT_DUTCH', "Niederländisch");
DEFINE ('_UDDEPFADM_SELECT_FRENCH', "Französisch");
DEFINE ('_UDDEPFADM_SELECT_FINNISH', "Finnisch");
DEFINE ('_UDDEPFADM_SELECT_CHINESE', "Chinesisch");

DEFINE ('_UDDEPFADM_PLUGIN', "Plugin");
DEFINE ('_UDDEPFADM_VERSION', "Version");
DEFINE ('_UDDEPFADM_QUALITY_HEAD', "Bildqualität");
DEFINE ('_UDDEPFADM_QUALITY_EXP', "JPEG Komprimierungsqualität (75=Standard).");
DEFINE ('_UDDEPFADM_SELECT_Q25', "25");
DEFINE ('_UDDEPFADM_SELECT_Q50', "50");
DEFINE ('_UDDEPFADM_SELECT_Q75', "75");
DEFINE ('_UDDEPFADM_SELECT_Q85', "85");
DEFINE ('_UDDEPFADM_SELECT_Q100', "100");

DEFINE ('_UDDEPFADM_1STFRAME', "1. Bilderrahmen");
DEFINE ('_UDDEPFADM_2NDFRAME', "2. Bilderrahmen");
DEFINE ('_UDDEPFADM_2NDFRAME_HEAD', "Aktiviere 2.Rahmen");
DEFINE ('_UDDEPFADM_2NDFRAME_EXP', "Aktiviere Bilderzeugung für zweiten Bilderrahmen.");
DEFINE ('_UDDEPFADM_SELECT_COL1', "Links");
DEFINE ('_UDDEPFADM_SELECT_COL2', "Mitte");
DEFINE ('_UDDEPFADM_SELECT_COL3', "Rechts");
DEFINE ('_UDDEPFADM_COL_HEAD', "Spalte");
DEFINE ('_UDDEPFADM_COL_EXP', "Legt fest, in welcher Spalte das Plugin angezeigt wird.");
DEFINE ('_UDDEPFADM_PAGE', "Seite: ");
DEFINE ('_UDDEPFADM_CONFCOL0_HEAD', "Linke Spalte");
DEFINE ('_UDDEPFADM_CONFCOL0_EXP', "Position der linken Spalte (z.B. 20 Pixel)");
DEFINE ('_UDDEPFADM_CONFCOL1_HEAD', "Mittlere Spalte");
DEFINE ('_UDDEPFADM_CONFCOL1_EXP', "Position der mittleren Spalte (z.B. 320 Pixel)");
DEFINE ('_UDDEPFADM_CONFCOL2_HEAD', "Rechte Spalte");
DEFINE ('_UDDEPFADM_CONFCOL2_EXP', "Position der rechten Spalte (z.B. 420 Pixel)");

DEFINE ('_UDDEPFADM_INFO_PASSWORD', "Hinweis: Der Ordner ist Passwort geschützt. Bitte vergessen Sie nicht die Benutzerdaten beim Anlegen des Cron Jobs anzugeben.");
DEFINE ('_UDDEPFADM_INFO_NOPASSWORD', "Note: Der Ordner ist nicht Passwort geschützt. Jeder kann das Update Script ausführen.");
DEFINE ('_UDDEPFADM_CONFIG_SRV', "Konfiguration des Servers:");
DEFINE ('_UDDEPFADM_INFO_SCRIPT', 'URL zum Update Script:');
DEFINE ('_UDDEPFADM_CONFIG', 'Einstellungen');
DEFINE ('_UDDEPFADM_CONFIG_HL', 'Konfiguration des Bilderrahmens:');
DEFINE ('_UDDEPFADM_INFO_URL', 'URL zum Bild:');
DEFINE ('_UDDEPFADM_INFO_RSS', 'URL zum RSS Feed:');
DEFINE ('_UDDEPFADM_SELECT_UP', "&nbsp;&nbsp;&and;&nbsp;&nbsp;");
DEFINE ('_UDDEPFADM_SELECT_DOWN', "&nbsp;&nbsp;&or;&nbsp;&nbsp;");
DEFINE ('_UDDEPFADM_SELECT_1PAGE', '1 Seite');
DEFINE ('_UDDEPFADM_SELECT_2PAGES', '2 Seiten');
DEFINE ('_UDDEPFADM_SELECT_3PAGES', '3 Seiten');
DEFINE ('_UDDEPFADM_SELECT_4PAGES', '4 Seiten');
DEFINE ('_UDDEPFADM_SELECT_5PAGES', '5 Seiten');
DEFINE ('_UDDEPFADM_SELECT_6PAGES', '6 Seiten');
DEFINE ('_UDDEPFADM_SELECT_NONE', 'Kein');
DEFINE ('_UDDEPFADM_SELECT_ALL', 'Alle');
DEFINE ('_UDDEPFADM_SELECT_PAGE1', 'Seite 1');
DEFINE ('_UDDEPFADM_SELECT_PAGE2', 'Seite 2');
DEFINE ('_UDDEPFADM_SELECT_PAGE3', 'Seite 3');
DEFINE ('_UDDEPFADM_SELECT_IMMEDIATELY', 'Sofort');
DEFINE ('_UDDEPFADM_SELECT_5MIN', '5 Minuten');
DEFINE ('_UDDEPFADM_SELECT_10MIN', '10 Minuten');
DEFINE ('_UDDEPFADM_SELECT_15MIN', '15 Minuten');
DEFINE ('_UDDEPFADM_SELECT_20MIN', '20 Minuten');
DEFINE ('_UDDEPFADM_SELECT_30MIN', '30 Minuten');
DEFINE ('_UDDEPFADM_SELECT_1HOUR', '1 Stunde');
DEFINE ('_UDDEPFADM_SELECT_2HOURS', '2 Stunden');
DEFINE ('_UDDEPFADM_SELECT_3HOURS', '3 Stunden');
DEFINE ('_UDDEPFADM_SELECT_4HOURS', '4 Stunden');
DEFINE ('_UDDEPFADM_SELECT_6HOURS', '6 Stunden');
DEFINE ('_UDDEPFADM_SELECT_12HOURS', '12 Stunden');
DEFINE ('_UDDEPFADM_SELECT_1DAY', '1 Tag');
DEFINE ('_UDDEPFADM_VIOLATION', 'Kein Zugriff');
DEFINE ('_UDDEPF_TOOLBAR_SAVE', 'Speichern');
DEFINE ('_UDDEPF_TOOLBAR_BACK', 'Zurück');
DEFINE ('_UDDEPF_TOOLBAR_PREVIEW', 'Voransicht');
DEFINE ('_UDDEPF_TOOLBAR_UPDATE', 'Aktuallisieren & Voransicht');
DEFINE ('_UDDEPFADM_ENABLE_HEAD', 'Plugin aktivieren');
DEFINE ('_UDDEPFADM_ENABLE_EXP', 'Aktiviert oder Deaktiviert ein Plugin');
DEFINE ('_UDDEPFADM_YES', 'Ja');
DEFINE ('_UDDEPFADM_NO', 'Nein');
DEFINE ('_UDDEPFADM_CANCEL', 'Abbruch');
DEFINE ('_UDDEPFADM_INFO', 'Info');
DEFINE ('_UDDEPFADM_CONTINUE', 'Fortsetzen');
DEFINE ('_UDDEPFADM_SETTINGS', 'uddePF Administration');
DEFINE ('_UDDEPFADM_SETTINGSSAVED', 'Einstellungen gespeichert');
DEFINE ('_UDDEPFADM_ABOUT', 'Über');
DEFINE ('_UDDEPFADM_DONATE', 'Wenn Sie uddePF mögen und die Weiterentwicklung unterstützen möchten, dann spenden sie doch bitte einen kleinen Betrag.');
DEFINE ('_UDDEPFADM_UDDEINSTCOMPLETE', 'uddePF Installation fertig.');
DEFINE ('_UDDEPFADM_REVIEWSETTINGS', 'Bitte rufen sie nun die Administration auf und fahren sie mit der Konfiguration fort.');
DEFINE ('_UDDEPFADM_PREVIEW', 'Vorschau');
DEFINE ('_UDDEPFADM_UPDATED', 'Vorschau aktuallisiert');
DEFINE ('_UDDEPFADM_CRYPTEDLINK_HEAD', 'Phrase');
DEFINE ('_UDDEPFADM_CRYPTEDLINK_EXP', 'Um das Bild für den Bilderrahmen zu sichern, kann an den Dateinamen eine Phrase angehängt werden. Bitte verwenden sie mindestens 10 Zeichen (Buchstaben und Zahlen). Wenn die Phrase geändert wird, sollten sie das ggf. noch vorhandene alte Bild löschen.');
DEFINE ('_UDDEPFADM_PICWIDTH_HEAD', 'Bildbreite');
DEFINE ('_UDDEPFADM_PICWIDTH_EXP', 'Breite des erzeugten Bilds in Pixel');
DEFINE ('_UDDEPFADM_PICHEIGHT_HEAD', 'Bildhöhe');
DEFINE ('_UDDEPFADM_PICHEIGHT_EXP', 'Höhe des erzeuten Bilds in Pixel');
DEFINE ('_UDDEPFADM_ORDERING_HEAD', 'Sortierung');
DEFINE ('_UDDEPFADM_ORDERING_EXP', 'Hiermit kann festgelegt werden, in welches Reihenfolge die Plugins ausgeführt werden sollen.');
DEFINE ('_UDDEPFADM_UPDATEPERIOD_HEAD', 'Aktuallisierung');
DEFINE ('_UDDEPFADM_UPDATEPERIOD_EXP', 'Wie oft soll das Plugin aktuelle Daten beziehen.');
DEFINE ('_UDDEPFADM_FONT_HEAD', 'Zeichensatz (Normal)');
DEFINE ('_UDDEPFADM_FONT_EXP', 'Zeichensatz für normalen Text.');
DEFINE ('_UDDEPFADM_FONTB_HEAD', 'Zeichensatz (Fett)');
DEFINE ('_UDDEPFADM_FONTB_EXP', 'Zeichensatz für fetten Text.');
DEFINE ('_UDDEPFADM_MAINUSERNAME_HEAD', 'Benutzername');
DEFINE ('_UDDEPFADM_MAINUSERNAME_EXP', 'Der Benutzername wird verwendet, um den Ordner mit dem Update-Skript zu schützen.');
DEFINE ('_UDDEPFADM_MAINPASSWORD_HEAD', 'Passwort');
DEFINE ('_UDDEPFADM_MAINPASSWORD_EXP', 'Das Passwort wird verwendet, um den Ordner mit dem Update-Skript zu schützen. Wird kein Passwort angegeben, so wird der Ordnerschutz entfernt und das Update-Skript kann ohne Authentisierung aufgerufen werden.');
DEFINE ('_UDDEPFADM_LANGUAGE_HEAD', 'Sprache');
DEFINE ('_UDDEPFADM_LANGUAGE_EXP', 'Die Sprachdatei, die für das Backend und zur Erzeugung des Bildes verwendet wird.');
DEFINE ('_UDDEPFADM_PAGE_HEAD', 'Zeige auf Seite');
DEFINE ('_UDDEPFADM_PAGE_EXP', 'Legt fest auf welcher Seite das Plugin angezeigt wird.');
DEFINE ('_UDDEPFADM_MAXPAGES_HEAD', 'Unterstützte Seiten');
DEFINE ('_UDDEPFADM_MAXPAGES_EXP', 'Legt die Anzahl der unterstützten Seiten fest. Hinweis: Wenn zwei Seiten unterstützt werden, aber ein Plugin auf Seite drei angezeigt werden soll, so wird es letztendlich nicht angezeigt.');
DEFINE ('_UDDEPFADM_LOCALE_HEAD', 'Lokales Format');
DEFINE ('_UDDEPFADM_LOCALE_EXP', 'Legt das lokale Format von Zeit bzw. Datum fest ("Standard" benutzt das in der Sprachdatei definierte Format).');
DEFINE ('_UDDEPFADM_SELECT_GERMAN', 'Deutsch');
DEFINE ('_UDDEPFADM_SELECT_ENGLISH', 'Englisch');
