<?php
// ********************************************************************************************
// Title          udde Picture Frame Information System (uddePF)
// Description    Picture Frame Information System for Joomla 1.5 and Joomla 1.6
// Author          2011 Stephan Slabihoud
// License        This is free software and you may redistribute it under the GPL.
//                uddePF comes with absolutely no warranty.
//                Use at your own risk. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
//                Other licenses can be found in LICENSES folder.
//                Redistributing this file is only allowed when keeping the header unchanged.
//
// It uses parts of
//
// InfoFrame (image generator for digital picture frames)
// Copyright (C) 2009  Tobias Kolb
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// ********************************************************************************************

if (!(defined('_JEXEC') || defined('_VALID_MOS'))) { die( 'Direct Access to this location is not allowed.' ); }

define('MAGPIE_DIR', 		dirname(__FILE__).'/PFRSSFeedPlugin/magpierss/');
define('MAGPIE_CACHE_DIR', 	dirname(__FILE__).'/../cache');
require_once(dirname(__FILE__).'/PFRSSFeedPlugin/'.'magpierss/rss_parse.inc');

class PFRSSFeedPlugin extends PFPlugin
{
	protected $config_rssfeed_1 = "";
	protected $config_rssfeed_2 = "";
	protected $config_rssfeed_3 = "";
	protected $config_rssfeed_4 = "";
	protected $config_rssfeed_5 = "";
	protected $config_rssfeed_6 = "";
	protected $config_rssfeed_7 = "";
	protected $config_rssfeed_8 = "";

	protected $config_rssage_1 = 0;
	protected $config_rssage_2 = 0;
	protected $config_rssage_3 = 0;
	protected $config_rssage_4 = 0;
	protected $config_rssage_5 = 0;
	protected $config_rssage_6 = 0;
	protected $config_rssage_7 = 0;
	protected $config_rssage_8 = 0;

	protected $config_rssitems_1 = 5;
	protected $config_rssitems_2 = 5;
	protected $config_rssitems_3 = 5;
	protected $config_rssitems_4 = 5;
	protected $config_rssitems_5 = 5;
	protected $config_rssitems_6 = 5;
	protected $config_rssitems_7 = 5;
	protected $config_rssitems_8 = 5;
	
	protected $config_start_1 = "00:00";
	protected $config_stop_1 = "24:00";
	protected $config_days_1 = "0";
	protected $config_images_1 = 0;
	protected $config_immediate_1 = 0;

	protected $config_start_2 = "00:00";
	protected $config_stop_2 = "24:00";
	protected $config_days_2 = "0";
	protected $config_images_2 = 0;
	protected $config_immediate_2 = 0;

	protected $config_start_3 = "00:00";
	protected $config_stop_3 = "24:00";
	protected $config_days_3 = "0";
	protected $config_images_3 = 0;
	protected $config_immediate_3 = 0;

	protected $config_start_4 = "00:00";
	protected $config_stop_4 = "24:00";
	protected $config_days_4 = "0";
	protected $config_images_4 = 0;
	protected $config_immediate_4 = 0;

	protected $config_start_5 = "00:00";
	protected $config_stop_5 = "24:00";
	protected $config_days_5 = "0";
	protected $config_images_5 = 0;
	protected $config_immediate_5 = 0;

	protected $config_start_6 = "00:00";
	protected $config_stop_6 = "24:00";
	protected $config_days_6 = "0";
	protected $config_images_6 = 0;
	protected $config_immediate_6 = 0;

	protected $config_start_7 = "00:00";
	protected $config_stop_7 = "24:00";
	protected $config_days_7 = "0";
	protected $config_images_7 = 0;
	protected $config_immediate_7 = 0;

	protected $config_start_8 = "00:00";
	protected $config_stop_8 = "24:00";
	protected $config_days_8 = "0";
	protected $config_images_8 = 0;
	protected $config_immediate_8 = 0;

	protected $feeds = 8;

	public function __construct($dbconn, $tableprefix) {
        parent::__construct($dbconn, $tableprefix); 
		if (!file_exists( dirname(__FILE__).'/../cache/') )
			mkdir( dirname(__FILE__).'/../cache' );
	}
	
	public function getPluginName() {
		return _UDDEPFADM_RSSFEED_PLUGIN;
	}
	
	public function getPluginVersion() {
		return "1.2";
	}

	public function showConfiguration() {
        parent::showConfigurationHelper(UDDEPF_MODE_COL1|UDDEPF_MODE_COL3|UDDEPF_MODE_ENABLE|UDDEPF_MODE_UPDATE|UDDEPF_MODE_PAGES); 
		for ($i=1;$i<=$this->feeds;$i++) {
			uddePF::admText($this->{"config_rssfeed_".$i}, 60, 'config_rssfeed_'.$i, _UDDEPFADM_RSSFEED_HEAD, _UDDEPFADM_RSSFEED_EXP, "", true);
			uddePF::admText($this->{"config_rssage_".$i}, 5, 'config_rssage_'.$i, _UDDEPFADM_RSSAGE_HEAD, _UDDEPFADM_RSSAGE_EXP, "");
			uddePF::admText($this->{"config_rssitems_".$i}, 5, 'config_rssitems_'.$i, _UDDEPFADM_RSSITEMS_HEAD, _UDDEPFADM_RSSITEMS_EXP, "");
			uddePF::admYesNo($this->{"config_images_".$i}, 'config_images_'.$i, _UDDEPFADM_RSSIMGS_HEAD, _UDDEPFADM_RSSIMGS_EXP);
			uddePF::admYesNo($this->{"config_immediate_".$i}, 'config_immediate_'.$i, _UDDEPFADM_RSSIMME_HEAD, _UDDEPFADM_RSSIMME_EXP);
			uddePF::admText($this->{"config_start_".$i}, 5, 'config_start_'.$i, _UDDEPFADM_RSSSTART_HEAD, _UDDEPFADM_RSSSTART_EXP, "");
			uddePF::admText($this->{"config_stop_".$i}, 5, 'config_stop_'.$i, _UDDEPFADM_RSSSTOP_HEAD, _UDDEPFADM_RSSSTOP_EXP, "");
			uddePF::admText($this->{"config_days_".$i}, 5, 'config_days_'.$i, _UDDEPFADM_RSSDAYS_HEAD, _UDDEPFADM_RSSDAYS_EXP, "");
		}
	}

	public function getConfiguration() {
        parent::getConfigurationHelper(); 
		for ($i=1;$i<=$this->feeds;$i++) {
			$this->{"config_rssfeed_".$i}	= uddePF::getParameter( 'config_rssfeed_'.$i, "", 'post', 'string' );
			$this->{"config_rssage_".$i}	= (int)uddePF::getParameter( 'config_rssage_'.$i, 1, 'post', 'int' );
			$this->{"config_rssitems_".$i}	= (int)uddePF::getParameter( 'config_rssitems_'.$i, 60, 'post', 'int' );
			$this->{"config_images_".$i}	= (int)uddePF::getParameter( 'config_images_'.$i, 0, 'post', 'int' );
			$this->{"config_immediate_".$i}	= (int)uddePF::getParameter( 'config_immediate_'.$i, 0, 'post', 'int' );
			$this->{"config_start_".$i}		= uddePF::getParameter( 'config_start_'.$i, "00:00", 'post', 'string' );
			$this->{"config_stop_".$i}		= uddePF::getParameter( 'config_stop_'.$i, "24:00", 'post', 'string' );
			$this->{"config_days_".$i}		= uddePF::getParameter( 'config_days_'.$i, "0", 'post', 'string' );
		}
	}

	public function saveConfiguration() {
		$data = Array();
		for ($i=1;$i<=$this->feeds;$i++) {
			$data["config_rssfeed_".$i]		= $this->{"config_rssfeed_".$i};
			$data["config_rssage_".$i]		= $this->{"config_rssage_".$i};
			$data["config_rssitems_".$i]	= $this->{"config_rssitems_".$i};
			$data["config_images_".$i]		= $this->{"config_images_".$i};
			$data["config_immediate_".$i]	= $this->{"config_immediate_".$i};
			$data["config_start_".$i]		= $this->{"config_start_".$i};
			$data["config_stop_".$i]		= $this->{"config_stop_".$i};
			$data["config_days_".$i]		= $this->{"config_days_".$i};
		}
		parent::saveConfigurationHelper($data);
	}


	public function doUpdate($forceUpdate) {
		if (!$this->config_enable)
			return;

		$override = false;
		for ($i=1;$i<=$this->feeds;$i++) {
			$feed_url = $this->{"config_rssfeed_".$i};
			$temp = $this->{"config_immediate_".$i};
			if ($temp && $feed_url && $this->_isFeedActive($i))
				$override = 1;
		}

		if (!$forceUpdate && !$override) {
			if (!$this->checkIfUpdateRequired())		// check if update period is exceeded
				return;
		}

		$this->updateDone();

		for ($i=1;$i<=$this->feeds;$i++) {
			$feed_url = $this->{"config_rssfeed_".$i};
			$filename = dirname(__FILE__).'/../cache/feed_'.$i.'.xml';
			
			$ok = $this->_isFeedActive($i);

			if ($feed_url && $ok) {
				$curl = curl_init();
				$file = fopen($filename, 'w');
				if ($file) {
					curl_setopt($curl, CURLOPT_URL, utf8_encode($feed_url));
					curl_setopt($curl, CURLOPT_FILE, $file);
					curl_exec($curl);
					curl_close($curl);
					fclose($file);
				}
			} else {
				if (file_exists($filename))
					unlink($filename);
			}
		}
	}

	public function doOutput(&$image, $style, $forceUpdate, &$yoffset) {
		if (!$this->config_enable)
			return;

		$update_required = false;
		for ($i=1;$i<=$this->feeds;$i++) {
			$feed = $this->{"config_rssfeed_".$i};
			$filename = dirname(__FILE__).'/../cache/feed_'.$i.'.xml';
			if ($feed && !file_exists($filename))
			$update_required = true;
		}
		if ($forceUpdate || $update_required)
			$this->doUpdate(true);

		$col = $style['display']==1 ? $this->config_col : $this->config_col_1;
		$xpos = $style['xpos'.$col];

		$opt_header = array(
			'width' => imagesx($image)-290,
			'height' => $style['textsize_huge'],
			'line_height' => $style['textsize_huge'],
			'align' => ALIGN_LEFT
		);
		$opt_entry = array(
			'width' => (imagesx($image)/2)-50,
			'height' => $style['textsize_normal'],
			'line_height' => $style['textsize_normal'],
			'align' => ALIGN_LEFT,
			'word_wrap_hyphen' => '...',
			'aggressive_word_wrap' => true,
		);
		
		for ($i=1;$i<=$this->feeds;$i++) {
			$feed = $this->{"config_rssfeed_".$i};
			$filename = dirname(__FILE__).'/../cache/feed_'.$i.'.xml';

			$ok = $this->_isFeedActive($i);

			if (file_exists($filename) && (filesize($filename) > 0) && $ok) {

				$rss_string = file_get_contents($filename);
				$rss = new MagpieRSS( $rss_string, 'UTF-8' );

				if ( $rss and !$rss->ERROR) {

					$allowImage = 0;
					if ($this->{"config_images_".$i})
						$allowImage = 1;
					if (!(ini_get('allow_url_fopen')=='1'))
						$allowImage = 0;

					$itemcount = count($rss->items); // preserve item count, because it will been changed in for-loop
					for ($item=0; $item<$itemcount; $item++) {
						$age = $this->{"config_rssage_".$i};
						if ($age) {
							$published = $rss->items[$item]['date_timestamp'];
							$timelimit = time()-($age*60);
							if ($published < $timelimit) {
								unset($rss->items[$item]); // drop entry
								continue;
							}
						}

if (0) {
						// filter title
						if ($this->config['title_regex_'.$feednumber]) {
							$title = ( $rss->items[$item]['title'] );
							$regex = ( $this->config['title_regex_'.$feednumber] );
							// match
							if (preg_match($regex, $title, $matches)) {
								// if subpatterns have been matched only return the concatenated submatches
								if (count($matches) > 1) {
									$new_title = "";
									for ($submatch=1; $submatch < count($matches); $submatch++)
										$new_title = $new_title . $matches[$submatch];
									if ($new_title)
										$rss->items[$item]['title'] = $new_title;
								}
							} else {
								unset($rss->items[$item]); // drop entry
								continue;
							}
						}
}
					}

					if (count($rss->items) > 0) {

						// print header
						$text = $rss->channel['title'];
						imagettftextboxopt($image, $style['textsize_huge'], 0, $xpos+30, $yoffset[$col], $style['textcolor'], $style['font'], $text, $opt_header);
						$imagefile = dirname(__FILE__).'/'.$this->plugin.'/'.'icons'.'/rss.png';
						$icon = ImageCreateFromPNG ( $imagefile );
						ImageCopy($image, $icon, $xpos, $yoffset[$col]-2, 0, 0, imagesx($icon), imagesy($icon));
						ImageDestroy($icon);
						$yoffset[$col] += 20;
						
						// print entries
						$yoffset[$col] += 8;
						$counter = 0;

						$xadd = 0;
						$yadd = 0;
						$yaddimg = 0;

						foreach ($rss->items as $item ) {
							
							$rest = (count($rss->items) - ($counter+1)) + 1;
							$entrylimit = $this->{"config_rssitems_".$i};
							if ( (($entrylimit) && ($counter+1 > $entrylimit)) || (($yoffset[$col] >= (imagesy($image) - 36)) && ($rest > 1)) ) {
								$yoffset[$col] += $yadd;
								$yoffset[$col] += $yaddimg;
								$yadd = 0;
								$yaddimg = 0;
								$text = sprintf( _UDDEPFADM_MORE_ELEMENTS, $rest );
								$yoffset[$col] += 4;
								$yoffset[$col] += imagettftextboxopt($image, $style['textsize_large'], 0, $xpos+4, $yoffset[$col], $style['textcolor'], $style['font'], $text, $opt_entry);
								break;
							}

							if ($allowImage) {
								$url = $item['enclosure'][0]['url'];
								$type = $item['enclosure'][0]['type'];
								$ispic = false;
								if ($type=="image/jpeg" || $type=="image/jpg")
									$bg = $this->_loadImage($url, "jpg");
								if ($type=="image/png")
									$bg = $this->_loadImage($url, "png");
								if ($type=="image/jpeg" || $type=="image/jpg" || $type=="image/png") {
									$ispic = true;
									$ratio = imagesx($bg)/imagesy($bg);
									$h = 80;
									$w = $h * $ratio;
									imagecopyresampled($image, $bg, $xpos + 30 + $xadd, $yoffset[$col], 0, 0, $w, $h, imagesx($bg), imagesy($bg));
									$xadd += $w + 5;
									$yaddimg = 85;
								}
								if (!$ispic) {
									$xadd += 0;
									$yaddimg = 85;
								}
							}

							// print entry text
							$text = $item['title'];
							$text = str_replace("\n", "", $text);
							// dirty trick for replacing inch-symbol \xE2\x80\xB3 by nomal " (because not supported by imagettftext)
							$text = str_replace("\xE2\x80\xB3", "\"", $text);
							$yadd += imagettftextboxopt($image, $style['textsize_normal'], 0, 
											$xpos+30, $yoffset[$col] + $yaddimg + $yadd, $style['textcolor'], $style['font'], $text, $opt_entry);
							$yadd += 2;
							if ($counter % 3 == 2) {
								$yoffset[$col] += $yadd;
								$yoffset[$col] += $yaddimg;
								if ($allowImage)
									$yoffset[$col] += 5;	// also creates a small gap after three elements
								$yadd = 0;
								$yaddimg = 0;
								$xadd = 0;
							}
							$counter++;
						}
						$yoffset[$col] += $yadd;
						$yoffset[$col] += $yaddimg;
						$yoffset[$col] += 16;
					}
				}
			}
		}
		// add some space after all feeds has been displayed
		// $yoffset[$col] += 8;
	}

	private function _loadImage($imgURL, $type) {
		$fp = fopen($imgURL, "rb");
		$imageFile = "";
		while ($line = fread($fp, 1000000))
			$imageFile .= $line;
		fclose($fp);
		$tmpfname = dirname(__FILE__).'/../cache/feed.'.$type;
		$fp = fopen($tmpfname, "wb");
		fwrite($fp, $imageFile);
		fclose($fp);
		if ($type=="jpg")
			$im = imagecreatefromjpeg($tmpfname);
		if ($type=="png")
			$im = imagecreatefrompng($tmpfname);
		unlink($tmpfname);
		return $im;
	}
	
	private function _isFeedActive($i) {
		$now = time();
		$d = getdate();
		$day = $d['wday'];

		$start = strtotime($this->{"config_start_".$i});
		$temp = $this->{"config_stop_".$i};
		if ($temp=="24:00")
			$temp = "23:59:59";
		$stop = strtotime($temp);
		$days = strval($this->{"config_days_".$i});
		if ($day==0)
			$day = 7;
		$day = strval($day);
		$ok = true;
		if ($now<$start || $now>$stop)
			$ok = false;
		$pos = strpos( $days, $day );
		if ($pos===false && $days!="0")
			$ok = false;
		return $ok;
	}
}
