<?php
// ********************************************************************************************
// Title          udde Picture Frame Information System (uddePF)
// Description    Picture Frame Information System for Joomla 1.5 and Joomla 1.6
// Author          2011 Stephan Slabihoud
// License        This is free software and you may redistribute it under the GPL.
//                uddePF comes with absolutely no warranty.
//                Use at your own risk. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
//                Other licenses can be found in LICENSES folder.
//                Redistributing this file is only allowed when keeping the header unchanged.
// ********************************************************************************************

if (!(defined('_JEXEC') || defined('_VALID_MOS'))) { die( 'Direct Access to this location is not allowed.' ); }

$ver = new JVersion();
if (!strncasecmp($ver->RELEASE, "2.5", 3)) {
	require_once(JPATH_SITE.'/administrator/components/com_uddepf/uddepflib25.php');
} else if (!strncasecmp($ver->RELEASE, "1.7", 3)) {
	require_once(JPATH_SITE.'/administrator/components/com_uddepf/uddepflib17.php');
} else if (!strncasecmp($ver->RELEASE, "1.6", 3)) {
	require_once(JPATH_SITE.'/administrator/components/com_uddepf/uddepflib16.php');
} else {
	require_once(JPATH_SITE.'/administrator/components/com_uddepf/uddepflib15.php');
}
require_once(JPATH_SITE.'/administrator/components/com_uddepf/library/tools.php');

function com_install() {

	// set initial values

	// TBD
	

	uddePFtools::loadLanguage();

	echo "<div style='width: 600px; text-align: left;'>";
	echo "<p><b>"._UDDEPFADM_UDDEINSTCOMPLETE."</b></p>";
	echo "<p>"._UDDEPFADM_REVIEWSETTINGS."</p>";

	// redirect to settings
	echo "<p><a href='index.php?option=com_uddepf'>"._UDDEPFADM_CONTINUE."</a></p>";
	echo "</div>";
}
