<?php
// ********************************************************************************************
// Title          udde Picture Frame Information System (uddePF)
// Description    Picture Frame Information System for Joomla 1.5 and Joomla 1.6
// Author         © 2011 Stephan Slabihoud
// License        This is free software and you may redistribute it under the GPL.
//                uddePF comes with absolutely no warranty.
//                Use at your own risk. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
//                Other licenses can be found in LICENSES folder.
//                Redistributing this file is only allowed when keeping the header unchanged.
// ********************************************************************************************

DEFINE ('_UDDEPFADM_TRANSLATORS_CREDITS', 'English language file by <a href="http://slabihoud.de/software/" target="_new">uddePF HQ (Stephan Slabihoud)</a>');	// Enter your credits line here, e.g. 'Translation by <a href="http://domain.com" target="_new">John Doe</a>'
DEFINE ('_UDDEPFADM_THIS_LOCALE', "en_US.UTF8,en_US,en,eng");

DEFINE ('_UDDEPFADM_DEBUG_HEAD', "Debug");
DEFINE ('_UDDEPFADM_DEBUG_EXP', "Enables debug output, i.e. the update script displays debug information when called in a browser.");

DEFINE ('_UDDEPFADM_SELECT_DEFAULT', "Default");
DEFINE ('_UDDEPFADM_SELECT_DUTCH', "Dutch");
DEFINE ('_UDDEPFADM_SELECT_FRENCH', "French");
DEFINE ('_UDDEPFADM_SELECT_FINNISH', "Finnish");
DEFINE ('_UDDEPFADM_SELECT_CHINESE', "Chinese");

DEFINE ('_UDDEPFADM_PLUGIN', "Plugin");
DEFINE ('_UDDEPFADM_VERSION', "Version");
DEFINE ('_UDDEPFADM_QUALITY_HEAD', "Picture quality");
DEFINE ('_UDDEPFADM_QUALITY_EXP', "JPEG compression quality (75=default).");
DEFINE ('_UDDEPFADM_SELECT_Q25', "25");
DEFINE ('_UDDEPFADM_SELECT_Q50', "50");
DEFINE ('_UDDEPFADM_SELECT_Q75', "75");
DEFINE ('_UDDEPFADM_SELECT_Q85', "85");
DEFINE ('_UDDEPFADM_SELECT_Q100', "100");

DEFINE ('_UDDEPFADM_1STFRAME', "1. Picture Frame");
DEFINE ('_UDDEPFADM_2NDFRAME', "2. Picture Frame");
DEFINE ('_UDDEPFADM_2NDFRAME_HEAD', "Enable 2nd Picture Frame");
DEFINE ('_UDDEPFADM_2NDFRAME_EXP', "Enable picture generation for 2nd Picture Frame.");
DEFINE ('_UDDEPFADM_SELECT_COL1', "Left");
DEFINE ('_UDDEPFADM_SELECT_COL2', "Middle");
DEFINE ('_UDDEPFADM_SELECT_COL3', "Right");
DEFINE ('_UDDEPFADM_COL_HEAD', "Column");
DEFINE ('_UDDEPFADM_COL_EXP', "Specifies in which column the plugin is displayed.");
DEFINE ('_UDDEPFADM_PAGE', "Page: ");
DEFINE ('_UDDEPFADM_CONFCOL0_HEAD', "Left column");
DEFINE ('_UDDEPFADM_CONFCOL0_EXP', "Position of the left column (e.g. 20 pixels)");
DEFINE ('_UDDEPFADM_CONFCOL1_HEAD', "Middle column");
DEFINE ('_UDDEPFADM_CONFCOL1_EXP', "Position of the middle column (e.g. 320 pixels)");
DEFINE ('_UDDEPFADM_CONFCOL2_HEAD', "Right column");
DEFINE ('_UDDEPFADM_CONFCOL2_EXP', "Position of the right column (e.g. 420 pixels)");

DEFINE ('_UDDEPFADM_INFO_PASSWORD', "Note: Folder is password protected. Do not forget to enter your credentials when creating the Cron job.");
DEFINE ('_UDDEPFADM_INFO_NOPASSWORD', "Note: Folder is not password protected. Anybody can access the script.");
DEFINE ('_UDDEPFADM_CONFIG_SRV', "Server configuration:");
DEFINE ('_UDDEPFADM_INFO_SCRIPT', 'URL to update script:');
DEFINE ('_UDDEPFADM_CONFIG', 'Settings');
DEFINE ('_UDDEPFADM_CONFIG_HL', 'Picture Frame configuration:');
DEFINE ('_UDDEPFADM_INFO_URL', 'URL to picture:');
DEFINE ('_UDDEPFADM_INFO_RSS', 'URL to RSS feed:');
DEFINE ('_UDDEPFADM_SELECT_UP', "&nbsp;&nbsp;&and;&nbsp;&nbsp;");
DEFINE ('_UDDEPFADM_SELECT_DOWN', "&nbsp;&nbsp;&or;&nbsp;&nbsp;");
DEFINE ('_UDDEPFADM_SELECT_1PAGE', '1 page');
DEFINE ('_UDDEPFADM_SELECT_2PAGES', '2 pages');
DEFINE ('_UDDEPFADM_SELECT_3PAGES', '3 pages');
DEFINE ('_UDDEPFADM_SELECT_4PAGES', '4 pages');
DEFINE ('_UDDEPFADM_SELECT_5PAGES', '5 pages');
DEFINE ('_UDDEPFADM_SELECT_6PAGES', '6 pages');
DEFINE ('_UDDEPFADM_SELECT_NONE', 'None');
DEFINE ('_UDDEPFADM_SELECT_ALL', 'All');
DEFINE ('_UDDEPFADM_SELECT_PAGE1', 'Page 1');
DEFINE ('_UDDEPFADM_SELECT_PAGE2', 'Page 2');
DEFINE ('_UDDEPFADM_SELECT_PAGE3', 'Page 3');
DEFINE ('_UDDEPFADM_SELECT_IMMEDIATELY', 'Immediately');
DEFINE ('_UDDEPFADM_SELECT_5MIN', '5 minutes');
DEFINE ('_UDDEPFADM_SELECT_10MIN', '10 minutes');
DEFINE ('_UDDEPFADM_SELECT_15MIN', '15 minutes');
DEFINE ('_UDDEPFADM_SELECT_20MIN', '20 minutes');
DEFINE ('_UDDEPFADM_SELECT_30MIN', '30 minutes');
DEFINE ('_UDDEPFADM_SELECT_1HOUR', '1 hour');
DEFINE ('_UDDEPFADM_SELECT_2HOURS', '2 hours');
DEFINE ('_UDDEPFADM_SELECT_3HOURS', '3 hours');
DEFINE ('_UDDEPFADM_SELECT_4HOURS', '4 hours');
DEFINE ('_UDDEPFADM_SELECT_6HOURS', '6 hours');
DEFINE ('_UDDEPFADM_SELECT_12HOURS', '12 hours');
DEFINE ('_UDDEPFADM_SELECT_1DAY', '1 day');
DEFINE ('_UDDEPFADM_VIOLATION', 'No access');
DEFINE ('_UDDEPF_TOOLBAR_SAVE', 'Save');
DEFINE ('_UDDEPF_TOOLBAR_BACK', 'Back');
DEFINE ('_UDDEPF_TOOLBAR_PREVIEW', 'Preview');
DEFINE ('_UDDEPF_TOOLBAR_UPDATE', 'Update & Preview');
DEFINE ('_UDDEPFADM_ENABLE_HEAD', 'Enable plugin');
DEFINE ('_UDDEPFADM_ENABLE_EXP', 'Enable or disables the plugin');
DEFINE ('_UDDEPFADM_YES', 'yes');
DEFINE ('_UDDEPFADM_NO', 'no');
DEFINE ('_UDDEPFADM_CANCEL', 'Cancel');
DEFINE ('_UDDEPFADM_INFO', 'Info');
DEFINE ('_UDDEPFADM_CONTINUE', 'Continue');
DEFINE ('_UDDEPFADM_SETTINGS', 'uddePF Administration');
DEFINE ('_UDDEPFADM_SETTINGSSAVED', 'Settings saved');
DEFINE ('_UDDEPFADM_ABOUT', 'About');
DEFINE ('_UDDEPFADM_DONATE', 'If you like uddePF and want to support the development please make a small donation.');
DEFINE ('_UDDEPFADM_UDDEINSTCOMPLETE', 'uddePF installation complete.');
DEFINE ('_UDDEPFADM_REVIEWSETTINGS', 'Please continue to the administration backend and review the settings.');
DEFINE ('_UDDEPFADM_PREVIEW', 'Preview');
DEFINE ('_UDDEPFADM_UPDATED', 'Preview updated');
DEFINE ('_UDDEPFADM_CRYPTEDLINK_HEAD', 'Phrase');
DEFINE ('_UDDEPFADM_CRYPTEDLINK_EXP', 'To secure the picture the file is suffixed with this phrase. Use at least 10 characters (letters and numbers). When this phrase is changed, ensure that the old image is deleted in /pictureframe folder.');
DEFINE ('_UDDEPFADM_PICWIDTH_HEAD', 'Image width');
DEFINE ('_UDDEPFADM_PICWIDTH_EXP', 'Width in pixels of the created image.');
DEFINE ('_UDDEPFADM_PICHEIGHT_HEAD', 'Image height');
DEFINE ('_UDDEPFADM_PICHEIGHT_EXP', 'Height in pixels of the created image.');
DEFINE ('_UDDEPFADM_ORDERING_HEAD', 'Ordering');
DEFINE ('_UDDEPFADM_ORDERING_EXP', 'Choose the plugins execution order');
DEFINE ('_UDDEPFADM_UPDATEPERIOD_HEAD', 'Update period');
DEFINE ('_UDDEPFADM_UPDATEPERIOD_EXP', 'Choose update period for plugin data.');
DEFINE ('_UDDEPFADM_FONT_HEAD', 'Font (normal)');
DEFINE ('_UDDEPFADM_FONT_EXP', 'Choose font used for normal text.');
DEFINE ('_UDDEPFADM_FONTB_HEAD', 'Font (bold)');
DEFINE ('_UDDEPFADM_FONTB_EXP', 'Choose font used for bold text.');
DEFINE ('_UDDEPFADM_MAINUSERNAME_HEAD', 'Username');
DEFINE ('_UDDEPFADM_MAINUSERNAME_EXP', 'The username is used to protect the folder containing the update script.');
DEFINE ('_UDDEPFADM_MAINPASSWORD_HEAD', 'Password');
DEFINE ('_UDDEPFADM_MAINPASSWORD_EXP', 'The password is used to protect the folder containing the update script. When the password is left empty the password protection is removed and the update script can be called without any authentication.');
DEFINE ('_UDDEPFADM_LANGUAGE_HEAD', 'Language');
DEFINE ('_UDDEPFADM_LANGUAGE_EXP', 'The language used in the backend and for the picture.');
DEFINE ('_UDDEPFADM_PAGE_HEAD', 'Show on page');
DEFINE ('_UDDEPFADM_PAGE_EXP', 'Specifies on which page the plugin is executed.');
DEFINE ('_UDDEPFADM_MAXPAGES_HEAD', 'Supported pages');
DEFINE ('_UDDEPFADM_MAXPAGES_EXP', 'Specifies the number of pages that are displayed. Note: When you specify 2 pages and you set a plugin to be displayed on page 3, it is never displayed.');
DEFINE ('_UDDEPFADM_LOCALE_HEAD', 'Locale');
DEFINE ('_UDDEPFADM_LOCALE_EXP', 'Selects the locale for time and date ("Default" uses the format specified in the language file).');
DEFINE ('_UDDEPFADM_SELECT_GERMAN', 'German');
DEFINE ('_UDDEPFADM_SELECT_ENGLISH', 'English');
